Introdution

 LC Home LC Next

UPS-CAD is a program to design and adapt to your printer of any coupon or Toto Lotto game. Compared to other programs, print coupons, the program is distinguished by an original algorithm to create bet (coupons). In a few simple steps, using a ruler or a ruler and a mouse, you can design your own coupon or LOTTO,TOTO game (football betting).
Once you've created a coupon program can print their own schemes and sets of plants without the possibility of error in prescribing.

The program can be used for all games LOTTO, KENO, TOTO and football(soccer) games and even numbers (systems), eg PICK3 (4).

The universality of the program is ensured by unique software solutions. Probably also can handle the game in countries where one reads and writes from right to left.

The program is very easy to use and is able to provide you with a lot of satisfaction with the contributions made in their work to create a coupon.

After you create a coupon, or set the program prints the coupons from the list of you numbers set recorded in a text editor or simply pasted from your lotto program.

Sorry if my English is not very good :-)

Author

Wojtek Jarzecki

P.P.H. WojarSoft


Glossary

 LC Home LC Prev LC Next
COUPON (BET SLIP) | Coupon to play Lotto and Toto (as is everyone can see). |
PANEL | Section (frame) on the ticket covering all the numbers (eg 1 .56 for the Lotto game) or for another special election panel options (number of draws, the system, the number of picks / KENO/). Borders coupon marked frame. | ramka
MARKER (BOX) | Field (frame, rectangle) involving a single field, eg the number of field numbers [1] or box. Typically, the dimensions of this field is the same for the entire coupon. Boundaries of the fields marked with a frame | marker
SIZES | Dimensions can be given in millimeters or inches. Note the dimensions always listed as the width or height in this way as the coupon is printed (typically the width is narrower than the edge of the coupon). Location is always a coupon, we set as it is printed. By contrast, the location of panels (height and width), we set as we read the number on the panel. Edge of the upper panel that is set as one reads the number of its fields, the edge is defined by the width of the panel. These rules allow proper positioning of the panels, eg, rotation and mirror. The same rule applies as for the panels to the box number. Width of the field number is the width of the upper edge of the box. | kupon
NUMBERS, ROWS,COLUMNS | Each panel on the ticket means the number or choose an option. As an example the image next to the panel has 6 rows, 7 columns and 39 numbers fields. | panel
PANEL MODE | When you insert the panels need to specify the type of panel, these types are defined in the program. Choice is the choice of type drop-down list in the design panel. | 1. Normal typing panel. 2. Number of additional panel (a ticket) 3. Panel pick numbers (eg Multi 1 .. 10) 4. Panel to select numbers of drawing. 5. The panel selcect stake game (KENO) 6. Selection panel games (if in once coupon have two games, is universal) 7. A special panel without a particular function (for use in the future) 8. Panel game system. 9. Marker panel, the panel used to select a single marker. Tag on the ticket. 10. Normal typing panel to play Toto(Soccer). 11. Panel game Pick3 (x) plays the position number eg. Pick3 combinations. 3 of the number of combinations from 0,0,0 to 9,9,9.


Quick start

The program allows you

to design coupons in two ways:

1. Measuring method

(ruler or caliper).

Method involves measuring the location of elements (panels and fields) on the ticket. These measurements is not much, enough for fairly accurate measurements of 3-4, the remainder is usually repeatable elements and does not require re-measuring.

2. Method with a template

(a picture or scan a coupon).

This method requires a photo (picture) taken with a digital camera, for example (mobile phone) or a scanned image of the coupon. The image serves as a template and makes excellent positioning of the panels on the ticket. The basic dimensions of this method, we must also be given.


The method of the template.

This method allows you to use the coupon image photographed or scanned clean coupon which will serve as a background (template) for the most simple positioning of the panels in the design. Picture can be done even from a cell camera.


Panele krok 2

Measure

To scan a coupon you can use a scanner or digital camera. In the example I used a photo taken with the hand with the help of Sony Ericsson C902 mobile. Important to take a picture as possible parallel to the coasts. Captured image is written to disk. The program has features to help cut the proportion of images and pictures using a real template for the implementation of the coupon.
1. From the menu, choose the option>> Tools>> Open an image or scan.
2. The image must be exactly cutting to the border paper and possibly adjust the position(rotate).
3. Wastes, if we do not see the whole image (a large) and select zoom (scale) of the image display. This will help cut the image to the borders of the paper.

zoom

To insert panels on the coupon to determine their dimensions. The panel is measured from the top left edge of the field to the lower numerical limit of the extreme right field. The method of measuring this measurement it is getting the ruler or caliper in the method of "measure" can be on screen with the mouse.

Pop-up menu, select "frame measurement."("measure rubber") Move frame on the borders of the panel on the coupon image on the screen. An example is the picture above. And read the status bar of the value of field size width and height of the frame.

Each panel on the ticket must be rotated 90 degrees to the right then the measurement must be remembered that the width of the upper edge of the panel looking at him in such a way that we read the number as normal. Therefore, you must convert the dimensions (width to height, and vice versa). The dimensions are read from the status bar note.

The last measurement is to measure the number of single boxes. The same frame, move to include only one numeric field.

To do this accurately, you can use the zoom "Scale" (Zoom) for example, 5x or 10x, then carefully strive field. Remember the results.

You can insert panels ...


Panels create

Panels

Pop-up menu, select "Add Panel" appears in the form:

Po wpisaniu wartosci :

section | properties | note
Panel positions and sizes | left | Item insertion panel after pressing OK. That distance upper left corner paper upper left point panel when insertion. Can here nothing typed leave zero then Panel whenever inserted will upper left corner paper. This distance anyway will changed automatically when moving panel mouse and its positioning.
 | top
 | width | Measured Size of panel NOTE: per coupons panel is inverted 90 degrees from printing direction.Width of panel always upper edge determined for such its location for whom we normally read numbers.
 | height
Marker sizes | width | Single numbers field size : NOTE: per coupons panel is inverted 90 degrees from printing direction.Width of panel always upper edge determined for such its location for whom we normally read numbers.
 | height
Numbers of panel & panel mode | numbers of positions all | Number all figures (numeric fields) on the panel. For example, the game is 59 boxes NY LOTTO figures. For the special panel gives the number of numeric fields. When you print the coupon is given another number which is to be completed in black (marker) / tag /
 | numbers of rows | Number of rows on panel NYLOTTO = 6
 | numbers of cols | Number of cols on panel NYLOTTO = 10
 | panel mode | Select from the drop-down list the type of panel. There are 11 kinds of panels: 1. Normal pick panel. 2. Panel for the game with two sets of numbers (Mega Million). 3. Panel number pick on the ticket (KENO 1 to 10). 4. Panel Numbers of draws. 5. Panel stake (KENO x1 to x10). 6. Selection panel games (eg. if one bet uses to two games). 7. Special panel (for your own use). 8. Panel game select system. 9. Single panel with one marker. 10. Football(soccer) Pools panel games (Ex TOTO Germany). 11. Panel game systemic (eg, PICK 3,4, Illinois Lotery Chicage U.S.).
Panel name | Select or create new panel name | Combo box for select or add saved panels. Choice also entered in the field of saved values and dimensions of the panel. If you create a new panel, type in this box its new unique name. Then a new panel is created with zero values.


Panels insert

If you created a panel on the ticket, and there is more than you no longer have to create them every time. For example, a coupon for a sample of the pop-up menu, select (right mouse) click on "Add panel" three times and put the panels in their place, but roughly the magnification x1. Then select the larger zoom x3 or x5 example and accurately inserts panels in place.
The program has facilities in the positioning. CTRL, ALT and SHIFT temporarily block one of the directions of moving the mouse panel. After pressing one of these keys in the status bar shows an icon indicating which direction to push is active (enabled).

Ex: If you set the panel in a well and the level of precision you want to move vertically, press the ALT key. Icon will show up pion1 . It means that the panel can move only vertically. For the CTRL key has the same effect will be to move the horizontal direction.

Special importance when you move to the SHIFT key. It is a park on the fourth. If we want to set up panels for example, in 2 columns and several rows are always the fourth section (2 row, 2 column) can be inserted automatically. Inserts fourth panel of the mouse in the vicinity of already inserted the previous 3 panels, press the SHIFT key and drop the mouse panel. The panel will automatically snaps into place corresponding to the horizontal and vertical position of the nearest neighbor. So if you parking you car on fourth car in the parking lot by 4 points.

If there are no two panels of "neighbors", the key positioning also helps set a good example on the previous panel. After dropping the next panel by holding the SHIFT key, the panel snaps in place of its predecessor. Now you can hold down the ALT key and dragging them into place vertically and horizontally the panel will have the same position in every level of its predecessor. Likewise, we hold down the CTRL key but now it does not change the vertical position.

If the coupon includes a "Special Panels" should be set. NYLOTTO on the ticket are only two fields to the selection of payment methods to win. There you can insert a single tag panel.


Special panels

Before inserting a special panel must be measured. We can measure the screen. Pop-up menu, select "frame measurement. Slide the frame over the first measurement and a special panel, slide it to cover the extreme field panel.
Set the frame and measuring the dimensions we read from the field "size":

panspec
Select the command "New Panel" and enter the name of the new panel, all values filled with zeros and procedure. Enter the dimensions and values, and select the type of panel. Put him on the ticket and possibly rotate.

Just press OK and move the panel into place.
Likewise, we proceed to create other special panels if they are on the ticket.


Measured method

This method is more labor intensive, but it is more accurate and worthy of command. When working with a photograph as a template, the sum of the errors of camera resolution, parallax errors, inaccuracies of our assessments and hardware that makes the adjustments more often at the end of the project.
Measurements is not much, and this method can be done with a little practice project as quickly.


Pomiary

Measure

Calipers or a ruler measure quite accurately the real dimensions of the coupon and write them to the fields menu

"file">> "Paper width" [ ]

"file">> "Paper height" [ ]

"Project Name" a name like "NY LOTTO".

Measuring the favorable location of the upper left corner of panels on the ticket. In places corner insert "cross hair" lines. These lines can add any number. Rising grid which will help us to insert panels. Substituting panels proceed as in "method with the template. Just a few measurements to create a grid. Coupon for NY LOTTO "measure the distance from the left and the upper edge of the paper.

First from the left panel:
left 3.14 mm
16.84 mm from the top

The panels are spaced evenly so you just measure the same thing in the second row
49.09 mm from the top
so each row of panels is shifted to offset:

49.09 - 16.84 = 32.25 mm
Thus, the third row will be placed at the top in the distance:

49.09 + 32.25 = 81.34
Four:
81.34 + 32.25 = 113.59
Five:
113.59 + 32.25 = 145.84

So we put it cross hair lines.
Note: Using the keys "Alt" and "Ctrl" you can temporarily disable the line moving in the desired direction. This will facilitate accurate placement. Distance when editing lines "cross hair" in control of the box "size".

Our lines are set, so the insert panels.

Note : in the design process, each panel requires a rotate of 90 degrees. Use this option to the menu "Rotate +90". For ease of orientation fields 1,2 and 3 for marked color marker.


Panels summary

We then create and insert the panels as in the method of the template.
the result is a ready-coupon are just patches, testing and printing, similarly as in the method of the template.


Testing and printing

 LC Home LC Prev

Ready coupon save to disk under the selected name. Command from the menu Files>> Save Project. The default file extension is. "*.json". It comes from the method of JSON data structure and storage scheme of the objects.

From the Files>> choose to "Display / Hide Panel Printing and Testing"

Enter the number of test, so chosen to include extreme fields on the panel typing. The test only shows how a printed coupon. Now you need to correct any errors and inaccuracies when we made taking a picture, measurements and positioning. Also need to determine the offset for the printer. Each printer has set the margins. This can be adjusted horizontally and vertically by typing correction Move to the fields in the menu files, move horizontally to print "and" move the print vertically.
You have to do a few test prints, and set the Move to the upper left corner of the first panel typing printed tag number exactly in the middle [1].
Our printer was a significant offset and it was necessary to enter values:

four millimeters to the left (minus sign) and one millimeter in the top (minus sign). If there is a difference between the median number of extreme position [1] and [59] can be easily extended to the panel goot direction or narrow.
If we set the panel of well-number one can take care of the rest. You can tell us useful object inspector. For example, all panels can be set vertically equally by editing its order "left". We note that the first panel is set to left, eg 10.56. Check the other two if the difference is 10.56 to enter the value of each property "left" the other panels typing.
Edit Properties call doubleclick the value or by pressing the "F2".

Object inspector

At this stage, if we do not have the experience to better serve the inspector just objects. It is easier for precision settings.
If the panel of the first prints the correct results and transfer occur in vertical shift can be corrected by adjusting the value of the inspector "top" or mouse-key "ALT".
If the first panel be stretched or narrowed adjust the remaining panels properties "width" and "height".
After all the adjustments do not forget to save the project on disc.

And it would be enough